/*
 * ParserMpqcUnitTest.hpp
 *
 *  Created on: Mar 3, 2010
 *      Author: metzler
 */
#ifndef PARSERMPQCUNITTEST_HPP_
#define PARSERMPQCUNITTEST_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "Parser/MpqcParser.hpp"

#include <cppunit/extensions/HelperMacros.h>
#include <string>

class ParserMpqcUnitTest :  public CppUnit::TestFixture
{
  CPPUNIT_TEST_SUITE( ParserMpqcUnitTest ) ;
  CPPUNIT_TEST ( ParameterTypeTest );
  CPPUNIT_TEST ( ParameterDefaultTest );
  CPPUNIT_TEST ( ParameterSetterTest );
  CPPUNIT_TEST ( ParameterCloneTest );
  CPPUNIT_TEST ( readMpqcTest );
  CPPUNIT_TEST ( writeMpqcTest );
  CPPUNIT_TEST_SUITE_END();

public:
  void setUp();
  void tearDown();

  void ParameterTypeTest();
  void ParameterDefaultTest();
  void ParameterSetterTest();
  void ParameterCloneTest();
  void readMpqcTest();
  void writeMpqcTest();

private:
  MpqcParser *mpqc;
};

#endif /* PARSERMPQCUNITTEST_HPP_ */
